> For the complete documentation index, see [llms.txt](https://redux-resource.js.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://redux-resource.js.org/api-reference/request-statuses.md).

# requestStatuses

An object that represents the four statuses that a request can have. The complete object is shown below:

```javascript
{
  IDLE: 'IDLE',
  PENDING: 'PENDING',
  FAILED: 'FAILED',
  SUCCEEDED: 'SUCCEEDED',
}
```

## Example

```javascript
import { requestStatuses } from 'redux-resource';
import store from './store';

const state = store.getState();

if (state.books.meta['23'].readStatus === requestStatuses.PENDING) {
  console.log('A book with id "23" is currently being fetched.');
}
```

## Tips

* Although this object *can* be used to check the status of a request in your

  view layer, it's often more convenient to use [`getStatus`](/api-reference/get-status.md)

  for that purpose. For this reason, we recommend restricting your usage of this

  object to plugins, reducers, or action creators.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://redux-resource.js.org/api-reference/request-statuses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
